## com.baidubce.services.bos.model
Class ListPartsRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.bos.model.GenericBucketRequest
              com.baidubce.services.bos.model.GenericObjectRequest
                  com.baidubce.services.bos.model.GenericUploadRequest
                      com.baidubce.services.bos.model.ListPartsRequest

    public class ListPartsRequest

extends GenericUploadRequest

Container for the the parameters of the ListParts operation.

Required Parameters: BucketName, Key, UploadId

Constructor Summary
`ListPartsRequest(String bucketName, String key, String uploadId)` Constructs a new ListPartsRequest from the required parameters bucket name, key and upload ID.

Method Summary
`int` `getMaxParts()` Returns the optional maximum number of parts to be returned in the part listing.
`int` `getPartNumberMarker()` Returns the optional part number marker indicating where in the results to being listing parts.
`void` `setMaxParts(int maxParts)` Sets the optional maximum number of parts to be returned in the part listing.
`void` `setPartNumberMarker(int partNumberMarker)` Sets the optional part number marker indicating where in the results to being listing parts.
`ListPartsRequest` `withBucketName(String bucketName)` Sets the BucketName property for this request.
`ListPartsRequest` `withKey(String key)` Sets the key of the associated multipart upload whose parts are being listed, and returns this updated ListPartsRequest object so that additional method calls can be chained together.
`ListPartsRequest` `withMaxParts(int maxParts)` Sets the optional maximum number of parts to be returned in the part listing and returns this updated ListPartsRequest objects so that additional method calls can be chained together.
`ListPartsRequest` `withPartNumberMarker(int partNumberMarker)` Sets the optional part number marker indicating where in the results to being listing parts, and returns this updated ListPartsRequest object so that additional method calls can be chained together.
`ListPartsRequest` `withRequestCredentials(BceCredentials credentials)`
`ListPartsRequest` `withUploadId(String uploadId)` Sets the ID of the multipart upload whose parts are being listed, and returns this updated ListPartsRequest object so that additional method calls can be chained together.

Methods inherited from class com.baidubce.services.bos.model.GenericUploadRequest
`getUploadId, setUploadId`

Methods inherited from class com.baidubce.services.bos.model.GenericObjectRequest
`getKey, setKey`

Methods inherited from class com.baidubce.services.bos.model.GenericBucketRequest
`getBucketName, setBucketName`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListPartsRequest

    public ListPartsRequest(String bucketName,
                            String key,
                            String uploadId)

  Constructs a new ListPartsRequest from the required parameters bucket name, key and upload ID.

  Parameters:
    `bucketName` - The name of the bucket containing the parts to list.
    `key` - The key of the associated multipart upload whose parts are being listed.
    `uploadId` - The ID of the multipart upload whose parts are being listed.

Method Detail

### withRequestCredentials

    public ListPartsRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

### withBucketName

    public ListPartsRequest withBucketName(String bucketName)

  Sets the BucketName property for this request.

  Specified by:
    `withBucketName` in class `GenericBucketRequest`
  Parameters:
    `bucketName` - The value that BucketName is set to.
  Returns:
    the request with the BucketName set.

### withKey

    public ListPartsRequest withKey(String key)

  Sets the key of the associated multipart upload whose parts are being listed, and returns this updated ListPartsRequest object so that additional method calls can be chained together.

  Specified by:
    `withKey` in class `GenericObjectRequest`
  Parameters:
    `key` - The key of the associated multipart upload whose parts are being listed.
  Returns:
    This updated ListPartsRequest object.

### withUploadId

    public ListPartsRequest withUploadId(String uploadId)

  Sets the ID of the multipart upload whose parts are being listed, and returns this updated ListPartsRequest object so that additional method calls can be chained together.

  Specified by:
    `withUploadId` in class `GenericUploadRequest`
  Parameters:
    `uploadId` - The ID of the multipart upload whose parts are being listed.
  Returns:
    This updated ListPartsRequest object.

### getMaxParts

    public int getMaxParts()

  Returns the optional maximum number of parts to be returned in the part listing.

  Returns:
    The optional maximum number of parts to be returned in the part listing.

### setMaxParts

    public void setMaxParts(int maxParts)

  Sets the optional maximum number of parts to be returned in the part listing.

  Parameters:
    `maxParts` - The optional maximum number of parts to be returned in the part listing.

### withMaxParts

    public ListPartsRequest withMaxParts(int maxParts)

  Sets the optional maximum number of parts to be returned in the part listing and returns this updated ListPartsRequest objects so that additional method calls can be chained together.

  Parameters:
    `maxParts` - The optional maximum number of parts to be returned in the part listing.
  Returns:
    This updated ListPartsRequest object.

### getPartNumberMarker

    public int getPartNumberMarker()

  Returns the optional part number marker indicating where in the results to being listing parts.

  Returns:
    The optional part number marker indicating where in the results to being listing parts.

### setPartNumberMarker

    public void setPartNumberMarker(int partNumberMarker)

  Sets the optional part number marker indicating where in the results to being listing parts.

  Parameters:
    `partNumberMarker` - The optional part number marker indicating where in the results to being listing parts.

### withPartNumberMarker

    public ListPartsRequest withPartNumberMarker(int partNumberMarker)

  Sets the optional part number marker indicating where in the results to being listing parts, and returns this updated ListPartsRequest object so that additional method calls can be chained together.

  Parameters:
    `partNumberMarker` - The optional part number marker indicating where in the results to being listing parts.
  Returns:
    This updated ListPartsRequest object.

Copyright © 2016. All rights reserved.